
using Godot;


namespace Rokojori
{  
  [GlobalClass ]
  public partial class SetNodeState : Action
  {
    [Export]
    public Node[] enable = new Node[ 0 ];

    [Export]
    public Node[] disable = new Node[ 0 ];


    protected override void _OnTrigger()
    {
      Arrays.ForEach( enable,  n => NodeState.Enable( n ) );
      Arrays.ForEach( disable, n => NodeState.Disable( n ) );
    }
  }

}